org.apache.torque.om.mapper

## Class LongMapperTest

- java.lang.Object
- - org.apache.torque.BaseTestCase
  - - org.apache.torque.om.mapper.LongMapperTest

-     public class LongMapperTest
      extends BaseTestCase

- - ### Field Summary

    - ### Fields inherited from class org.apache.torque.BaseTestCase

      `CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, stringColumnMap2, stringColumnMap3, tableMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongMapperTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()` Re-Initialize Torque and fill supplied data.
    `void` | `testProcessRow()` Tests the processRow method for a mapper without internal Offset.
    `void` | `testProcessRowInternalOffset()` Tests the processRow method for a mapper with internal Offset.
    `void` | `testProcessRowSqlException()` Tests the processRow method if the resultSet throws a SqlException.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongMapperTest

          public LongMapperTest()

  - ### Method Detail

    - #### setUp

          @BeforeEach
          public void setUp()
                                  throws Exception

      Description copied from class: `BaseTestCase`
      Re-Initialize Torque and fill supplied data. Subclasses which override setUp() must call super.setUp() as their first action.
      Overrides:
        `setUp` in class `BaseTestCase`
      Throws:
        `Exception` - if initialization fails.

    - #### testProcessRow

          @Test
          public void testProcessRow()
                                     throws Exception

      Tests the processRow method for a mapper without internal Offset.
      Throws:
        `Exception` - if the test fails

    - #### testProcessRowInternalOffset

          @Test
          public void testProcessRowInternalOffset()
                                                   throws Exception

      Tests the processRow method for a mapper with internal Offset.
      Throws:
        `Exception` - if the test fails

    - #### testProcessRowSqlException

          @Test
          public void testProcessRowSqlException()
                                                 throws Exception

      Tests the processRow method if the resultSet throws a SqlException.
      Throws:
        `Exception` - if the test fails

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.